//& *** (c) 2006-2011 The HPGCC3 Team ***
//& Claudio Lapilli
//& Ingo Blank
//&
//& This file is licensed under the terms and conditions of the
//& HPGCC3 license that is included with the source distribution.
//& *** (c) 2006-2011 The HPGCC3 Team ***

// $Header: fsread.c,r42 2006-02-18 04:23:47 ingo $


#include "fsyspriv.h"






int FSRead(char *buffer,int nbytes,FS_FILE *file)
{
FS_VOLUME *fs;
int vol=0;

// SAME AS LOW-LEVEL FUNCTION BUT W/SOME CHECKS

if(!FSystem.Init) return FS_ERROR;

if(file==NULL) return FS_ERROR;
vol=file->Volume;
if(vol>3 || vol<0) return FS_ERROR;		// INVALID VOLUME --> FILE STRUCTURE CORRUPT
fs=FSystem.Volumes[vol];
if(fs==NULL) return FS_ERROR;
return FSReadLL(buffer,nbytes,file,fs);
}

