//& *** (c) 2006-2011 The HPGCC3 Team ***
//& Claudio Lapilli
//& Ingo Blank
//&
//& This file is licensed under the terms and conditions of the
//& HPGCC3 license that is included with the source distribution.
//& *** (c) 2006-2011 The HPGCC3 Team ***



#include <math.h>


// RETURNS A DOUBLE GIVEN A NORMALIZED 64-BIT MANTISSA, BASE-2 EXPONENT AND SIGN

double assemble_double(unsigned int sign,unsigned long long mantissa,int exponent)
{
	union {
		struct { unsigned int fill32bits; double a; };
		struct { unsigned long long ul; unsigned int repeatword; };
	} dbl;
	if(sign) sign=0x800;
	dbl.ul=((mantissa<<1)+0x800)>>12;
	dbl.ul|=((unsigned long long)(((exponent+1023+63)&0x7ff)|sign))<<52;
	
	// FAST WORKAROUND FOR THE BIG-ENDIAN DOUBLE REPRESENTATION IN GCC
	dbl.repeatword=(unsigned int)dbl.fill32bits;
	return dbl.a;

}

