//& *** (c) 2006-2011 The HPGCC3 Team ***
//& Claudio Lapilli
//& Ingo Blank
//&
//& This file is licensed under the terms and conditions of the
//& HPGCC3 license that is included with the source distribution.
//& *** (c) 2006-2011 The HPGCC3 Team ***




// $Id: num_derivative.c 514 2007-11-18 03:11:26Z ingo $

#include <math.h>

// ROMLIB CHECKED
// < ibl ; 2006-04-03 >

double
df(int n,DFUNC1 f, double x)
{
    #define dx 1.0e-4
    
    if (n)
        return (df(n-1,f,x+dx)-df(n-1,f,x))/dx;
    else
        return (*f)(x);
}
