//& *** (c) 2006-2011 The HPGCC3 Team ***
//& Claudio Lapilli
//& Ingo Blank
//&
//& This file is licensed under the terms and conditions of the
//& HPGCC3 license that is included with the source distribution.
//& *** (c) 2006-2011 The HPGCC3 Team ***



// $Id: sat3_bint.c 511 2007-11-13 01:42:01Z claudio $

#include <hpgcc3.h>
#include <master_globals.h>


SAT_OBJECT sat3_createbint_int(SAT_OBJECT where,int value)
{

    where=sat3_alloc(where,10);
	if(where==0) return 0;
	
	sat3_poke(where,SAT_DOBINT,5);
    sat3_poke(where+5,(unsigned int)value,5);

    return where;
}


int sat3_convertbint_int(SAT_OBJECT bint)
{
unsigned b;
if(!bint) return 0;
if(sat3_isptr(bint)) bint=sat3_peek(bint,5);
if(sat3_peek(bint,5)!=SAT_DOBINT) return 0;	// RETURN 0 IF NOT A BINT
b=sat3_peek(bint+5,5);
if(b>=0x80000) b|=0xfff00000;
return b;
}

unsigned int sat3_convertbint_uint(SAT_OBJECT bint)
{
if(!bint) return 0;
if(sat3_isptr(bint)) bint=sat3_peek(bint,5);
if(sat3_peek(bint,5)!=SAT_DOBINT) return 0;	// RETURN 0 IF NOT A BINT
return sat3_peek(bint+5,5);
}
